Get Help with Google Cloud Dataflow

Support status for Dataflow SDK releases

Java: SDK 1.x

See the Dataflow SDK 1.x for Java release notes for change information.

SDK version(s) Status Details
1.9.1
Supported
1.9.0
Deprecated Deprecated as of August 28, 2017, due to an identified issue.
See the release notes for more information.
1.8.1
1.8.0
Deprecated Deprecated as of August 28, 2017, due to an identified issue.
See the release notes for more information.
This minor version family will become unsupported on April 9, 2018.
1.7.0
Deprecated Deprecated as of August 28, 2017, due to an identified issue.
See the release notes for more information.
This version will become unsupported on March 12, 2018.
1.6.1 Deprecated Deprecated as of August 28, 2017, due to an identified issue.
See the release notes for more information.
This version will become unsupported on January 22, 2018.
1.6.0 Deprecated Deprecated as of August 9, 2016, due to an identified issue.
See the release notes for more information.
Additional issue identified on August 28, 2017.
See the release notes for more information.
This version will become unsupported on January 22, 2018.
1.5.1
1.5.0
1.4.0
1.3.0
Unsupported Unsupported as of October 1, 2017.
1.2.1
1.2.0
1.1.0
1.0.0
Unsupported Unsupported as of February 26, 2017.
Pre-1.0.0 (including 0.4.* and 0.3.*) Unsupported

Java: SDK 2.x

See the Dataflow SDK 2.x for Java release notes for change information.

SDK version(s) Status Details
2.2.0
2.1.0
Supported
2.0.0 Supported
2.0.0-beta3
2.0.0-beta2
2.0.0-beta1
Deprecated

Python

See the Dataflow SDK 2.x for Python release notes for change information.

SDK version(s) Status Details
2.2.0 Supported
2.1.1 Supported Fixes a compatibility issue with the Python six package.
See the release notes for more information.
2.1.0
2.0.0
Supported
2.1.0 Supported Note that this release has a compatibility issue with the Python six 1.11.0 package.
See the Release Notes for more information.
2.0.0 Supported Note that this release has a compatibility issue with the Python six 1.11.0 package.
See the Release Notes for more information.
0.6.0
0.5.5
0.5.1
0.4.4
0.4.3
0.4.2
0.4.1
0.4.0
Deprecated These versions will become unsupported on January 29, 2018.
0.2.7 and earlier versions Unsupported Unsupported as of March 23, 2017.

Find Us On Stack Overflow

You can use StackOverflow to get help with technical questions about software development with Dataflow. Google developers regularly contribute to the StackOverflow community; be sure to use the tag google-cloud-dataflow when submitting your question.

Get a Support Package

Google Cloud Platform offers various levels of support packages depending on your needs. Get support features such as 24/7 coverage, phone support and access to a technical account manager. For more information, see Google Cloud Platform Support.

Stay Informed About Cloud Dataflow

Join the dataflow-announce Google group to receive announcements and updates about Cloud Dataflow.

Check the Dataflow FAQ

You can check the Dataflow FAQ for answers to common questions about Google Cloud Dataflow.

Send Us Feedback

You can use the UserVoice forum to send us feedback on various issues, including:

  • Bugs and Defects
  • Feature Requests
  • Issues not answered in the Dataflow FAQ

If you're reporting a bug or defect with Dataflow, please include the following information with your request:

  • What steps will reproduce the problem?
  • What is the expected output? What do you see instead?
  • What version of the product are you using? On what operating system?
  • Please provide any additional information.

Send feedback about...

Cloud Dataflow Documentation